%define upstream_name    Dist-Zilla-Plugin-Git-Tag-ForRelease
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Epoch:      1

Summary:    Create a Release Tag Before Building the Distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This plugin attempts to tag the current repository with an appropriate new
version number.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CHANGES META.yml LICENSE README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1:0.50.0-5.mga9
+ Revision: 1811451
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1:0.50.0-4.mga8
+ Revision: 1523757
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 1:0.50.0-3.mga7
+ Revision: 1374712
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 1:0.50.0-2.mga7
+ Revision: 1283016
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 1:0.50.0-1.mga7
+ Revision: 1226416
- fix version handling

* Sun Jun 19 2016 pterjan <pterjan> 1:0.5.0-6.mga7
+ Revision: 1026217
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1:0.5.0-5.mga6
+ Revision: 949485
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1:0.5.0-4.mga5
+ Revision: 789799
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:0.5.0-3.mga5
+ Revision: 742292
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.5.0-2.mga5
+ Revision: 684446
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 sander85 <sander85> 1:0.5.0-1.mga5
+ Revision: 658259
- update to v0.05
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 366192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 71197
- imported package perl-Dist-Zilla-Plugin-Git-Tag-ForRelease


* Mon Mar 14 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
